Kyoto Tycoon

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces
ktsocket.h File Reference

network functions More...

`#include <ktcommon.h>`
`#include <ktutil.h>`

## Classes
class | kyototycoon::Pollable
| Interface of poolable I/O event. More...
class | kyototycoon::Socket
| Network stream abstraction based on TCP/IP. More...
class | kyototycoon::ServerSocket
| Network server abstraction based on TCP/IP. More...
class | kyototycoon::Poller
| I/O event notification. More...
## Namespaces
namespace | kyototycoon
| All symbols of Kyoto Tycoon.

## Detailed Description

network functions